# Get the list of transaction

HTTP Request

```
https://api.accesstrade.vn/v1/transactions
```

#### Note:

* **Limit: 10 requests / 1 minute**

Query Parameters

The parameters are passed into HTTP Request according to Key-Value pairs, begin the parameters with the sign “?” and separate the parameters with the sign “&”. Ex:

```
https://api.accesstrade.vn/v1/transactions?since=2021-01-01T00:00:00Z&until=2021-01-03T00
```

| Parametter          | Required | Description                                                                                                                                                   |
| ------------------- | -------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| since               | Required | Time the report begins, according to ISO format, example “2019-08-01T00:00:00Z”                                                                               |
| until               | Required | Time the report ends, according to ISO format, example “2019-08-01T00:00:00Z”                                                                                 |
| page                | Optional | Page order. Starting from 1. Default 1                                                                                                                        |
| offset              | Optional | Offset value, default 0.                                                                                                                                      |
| limit               | Optional | Number of orders returned per page. Default 100.                                                                                                              |
| merchant            | Optional | Merchant name. ex: tikivn.                                                                                                                                    |
| utm\_source         | Optional | Ex: facebook                                                                                                                                                  |
| utm\_campaign       | Optional |                                                                                                                                                               |
| utm\_medium         | Optional | Ex: email                                                                                                                                                     |
| utm\_content        | Optional |                                                                                                                                                               |
| status              | Optional | <p>Status</p><ul><li>0: hold</li><li>1: approved</li><li>2: rejected</li></ul>                                                                                |
| is\_confirmed       | Optional | <p>Transaction status:</p><ul><li>0: unapproved</li><li>1: approved (If there is is\_confirmed parameter but no status, the default field status=1)</li></ul> |
| transaction\_id     | Optional | Transaction codes, can filter 1 (transaction\_id=1234567) or multiple (transaction\_id=1234567,7654321) using commas "," to separate codes.                   |
| update\_time\_start | Optional | Report start time according to transaction update time (ISO format), for example “2016-08-01T00:00:00Z”.                                                      |
| update\_time\_end   | Optional | Report end time according to transaction update time (ISO format), for example “2016-08-01T00:00:00Z”.                                                        |

API response returns:

```
"total": 4147,
    "data": [
        {
            "merchant": "tikivn",
            "status": 1,
            "update_time": "2022-07-19T17:32:35",
            "click_url": "https://ti.ki/add/TNWGVSKG?utm_term=TAPM.Yr8FIzkUqtxX6WDq6wmjdLH9nzfwPYBgD8nSkKOaR8B3lolr_TAPP.684099_TAPT.TI3&TIKI_URI=https%3A%2F%2Ftiki.vn&atnct1=44f683a84163b3523afe57c2e008bc8c&atnct2=Yr8FIzkUqtxX6WDq6wmjdLH9nzfwPYBgD8nSkKOaR8B3lolr&atnct3=PkIKY0000nw00enur",
            "conversion_platform": "mobile_app",
            "utm_campaign": "4348614231480407268",
            "product_category": "1520_app",
            "utm_content": "",
            "transaction_time": "2022-05-03T02:31:19",
            "product_image": "",
            "utm_source": "123488589",
            "transaction_value": 442000.0,
            "_extra": {
                "parameters": {
                    "utm_campaign": "4348614231480407268",
                    "click_url": "https://ti.ki/add/TNWGVSKG?utm_term=TAPM.Yr8FIzkUqtxX6WDq6wmjdLH9nzfwPYBgD8nSkKOaR8B3lolr_TAPP.684099_TAPT.TI3&TIKI_URI=https%3A%2F%2Ftiki.vn&atnct1=44f683a84163b3523afe57c2e008bc8c&atnct2=Yr8FIzkUqtxX6WDq6wmjdLH9nzfwPYBgD8nSkKOaR8B3lolr&atnct3=PkIKY0000nw00enur",
                    "click_user_agent": "Mozilla/5.0 (iPhone; CPU iPhone OS 14_3 like Mac OS X) AppleWebKit/605.1.15 (KHTML, like Gecko) Version/14.0.2 Mobile/15E148 Safari/604.1",
                    "at_unique_id": "7sFsxcWKOWYPunC3BCfg6Znxat",
                    "utm_tool": "deeplink",
                    "utm_source": "123488589"
                },
                "device_model": "iPhone",
                "device_family": "iPhone",
                "device_brand": "Apple",
                "device_type": "mobile",
                "device": "Apple iPhone",
                "os": "iOS",
                "browser": "Mobile Safari"
            },
            "reason_rejected": "",
            "category_name": "Sức khỏe và làm đẹp_app",
            "utm_term": "",
            "product_id": "9446586652188@tikivn@9446586652188",
            "is_confirmed": 0,
            "confirmed_time": "2022-06-30T23:59:59",
            "product_price": 442000.0,
            "id": "9591ccbef06080a1dd8f98d9b371537e",
            "commission": 53040.0,
            "customer_type": "",
            "conversion_id": 115157422,
            "utm_medium": "",
            "product_quantity": 1,
            "click_time": "2022-05-03T02:18:56",
            "product_name": "",
            "transaction_id": "602528593"
        }
```

Description of results:

| Parametter                | Description                                                                                             |
| ------------------------- | ------------------------------------------------------------------------------------------------------- |
| total                     | Number of conversions, calculated by product.                                                           |
| data.status               | <p>Status of conversion</p><ul><li>0: Pending or hold</li><li>1: Approved</li><li>2:Rejected.</li></ul> |
| data.merchant             | Merchant name                                                                                           |
| data.click\_time          | Click time                                                                                              |
| data.transaction\_id      | Transaction ID (Order).                                                                                 |
| data.transaction\_time    | Transaction time, according to ISODate.                                                                 |
| data.update\_time         | Time to update transaction information, according to ISODate.                                           |
| data.confirmed\_time      | Transaction approval time, according to ISODate.                                                        |
| data.is\_confirmed        | Transaction status: 0 - unapproved, 1 - approved                                                        |
| data.transaction\_value   | Transaction value.                                                                                      |
| data.commission           | Commissions for publishers.                                                                             |
| data.product\_id          | Product ID.                                                                                             |
| data.product\_price       | Price of the product.                                                                                   |
| data.product\_quantity    | The quantity of products.                                                                               |
| data.\_extra              | Information related to the operating system and browser.                                                |
| data.\_utm\*              | Utm parameter values.                                                                                   |
| data.category\_name       | Category name                                                                                           |
| data.conversion\_id       | ID of conversion                                                                                        |
| data.conversion\_platform | The foundations of conversion                                                                           |
| data.customer\_type       | Customer type                                                                                           |
| data.product\_category    | Category of product                                                                                     |
| data.product\_image       | Image of product                                                                                        |
| data.product\_name        | Product name                                                                                            |
| data.reason\_reject       | Reason reject                                                                                           |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.accesstrade.vn/api-accesstrade-tai-lieu-tich-hop/get-the-list-of-transaction.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
